-- true/false defn
FALSE = 0
TRUE = 1

-- condition return values
CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

-- Message types
MT_INFO = 0   -- large centre screen pop up
MT_ALERT = 1  -- top right alert message

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32

MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2

function OnEvent(event)
	if(event == "IntroCamera") then
			SysCall("ScenarioManager:LockControls");
			SysCall ("CameraManager:ActivateCamera", "Camera1", 0);
	end
	
	if(event == "CabCamera") then
			SysCall("CameraManager:ActivateCamera", "CabCamera", 0);
			SysCall("ScenarioManager:UnlockControls");
	end
	
	if(event == "Introtext") then
			SysCall ("ScenarioManager:ShowInfoMessageExt", "GoldenAgeDevelopments", "intromessage.html", MSG_VCENTRE + MSG_CENTRE, MSG_REG, TRUE );
	end
	
	if(event == "Endtext") then
			SysCall ("ScenarioManager:ShowInfoMessageExt", "GoldenAgeDevelopments", "endmessage.html", MSG_VCENTRE + MSG_CENTRE, MSG_REG, TRUE );
	end
	
	if(event == "Duty") then
			SysCall ("ScenarioManager:ShowInfoMessageExt", "Train Order", "duty.html", MSG_VCENTRE + MSG_CENTRE, MSG_LRG, TRUE );
			SysCall("ScenarioManager:TriggerDeferredEvent", "CabCamera", 5);
	end

	if(event == "Fireman1") then
			SysCall ("ScenarioManager:ShowInfoMessageExt", "Fireman", "Fireman1.html", MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
	end
	
	if(event == "Fireman2") then
			SysCall ("ScenarioManager:ShowInfoMessageExt", "Fireman", "Fireman2.html", MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
	end
	
	if(event == "Brakeman1") then
			SysCall ("ScenarioManager:ShowInfoMessageExt", "Brakeman", "Brakeman1.html", MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
	end
	
	if(event == "Brakeman2") then
			SysCall ("ScenarioManager:ShowInfoMessageExt", "Brakeman", "Brakeman2.html", MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
	end
	
	if(event == "Brakeman3") then
			SysCall ("ScenarioManager:ShowInfoMessageExt", "Brakeman", "Brakeman3.html", MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
	end
	
	if(event == "Hostler") then
			SysCall ("ScenarioManager:ShowInfoMessageExt", "Hostler", "Hostler.html", MSG_VCENTRE + MSG_CENTRE, MSG_REG, FALSE );
	end
end